Skip to main content

GET /api/chains/l2/fees

L2 fees comparison

List supported blockchain networks

Endpoint​

GET https://api.web3identity.com/api/chains/l2/fees

Example Request​

curl -s "https://api.web3identity.com/api/chains/l2/fees" | jq

Responses​

200 L2 fees​

{
"l2s": [
{
"name": "Arbitrum",
"avgFee": 0.15,
"savingsVsL1": "98.5%"
},
{
"name": "Optimism",
"avgFee": 0.12,
"savingsVsL1": "98.8%"
},
{
"name": "Base",
"avgFee": 0.08,
"savingsVsL1": "99.1%"
}
]
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required - free tier exhausted​

{
"example": "response"
}

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec